﻿using System;

namespace Configuration
{
    public class SerializationState
    {
    }

    public class SerializationFailure : SerializationState
    {
        #region Public Enums, Properties and Fields

        public bool Success { get; } = false;

        public Exception Exception { get; set; }

        #endregion
    }

    public class SerializationSuccess<T> : SerializationState
    {
        #region Public Enums, Properties and Fields

        public bool Success { get; } = true;

        public string Text { get; set; }

        public T Result { get; set; }

        #endregion
    }

    public class SerializationSuccess : SerializationState
    {
        #region Public Enums, Properties and Fields

        public bool Success { get; } = true;

        public string Text { get; set; }

        #endregion
    }
}